#include "all.h"

void init_drivers() {
    init_i2c();
    // init char_lcd so we can use it to report other initialization errors.
    init_lcd();
    init_nvs();
    init_star_code_system();
    // init the bottom half so that we can get user input.
    init_bottom_half();
    init_sd();
    init_speaker();
    init_sseg();
    init_game_timers();
    init_tft();
    init_leds();
    init_power_board();

    set_lcd_header_enabled(true);
}
